<?php
    
    //phpinfo();
    //header("location: old files - data extract/extract_data.php")

    if(!isset($_REQUEST['USE']))
    {
        $use=1;
    }
    else
    {
        $use=$_REQUEST['USE'];
    }

    include_once("data/text".$use.".data");
    include_once("classes/class.lexicon.php");
    include_once("classes/class.parserutility.php");
    include_once("classes/class.parser.php");
    include_once("classes/class.recordline.php");
    include_once("classes/class.reportmatrix.php");

    $meet_name = $meet_id = $gender = $schoolId = $seasonId = $seasonYear = '';

    $parser = new DataParser($meet_name, $meet_id, $gender, $schoolId, $seasonId, $seasonYear);
    
    $parser->setRawInputData($text);

    

    echo "<pre>";
    $parser->process();
    echo '<br><h1>FORMATTED DATA</h1><div style="max-height:400px; overflow:auto; border:thin solid #ff0000;  margin-left:60px; margin-right:60px;">';
    print_r($parser->getFormatedData());
    echo "</div></pre>";

    $parsedData = $parser->getFormatedData();

    if(is_array($parsedData) && sizeof($parsedData)>0)
    {
?>
        <br><br>
        <h1><u>PRESENTATION</u></h1>
        <h6>
            <?php echo @$parsedData['LICENCED-TO']; ?>
        </h6>

        <h7>
<?php 
            echo @$parsedData['SUB-LICENSE'];
            if(@$parsedData['LICENSE-DATE']!='')
            {
                echo '-'.$parsedData['LICENSE-DATE'];
            }
?>
        </h7>

        <h1>
            <?php echo @$parsedData['EVENT-NAME']; ?> &nbsp;&nbsp;&nbsp;
            <h3>
                [
<?php 
                    echo @$parsedData['EVENT-DATE'];
?>
                ]
            </h3>
        </h1>

        <h2 style="color:red;">
            <?php echo @$parsedData['SCHOOL-NAME']; ?> 
        </h2>

            <br><br><br>
<?php      
        foreach($parsedData['REPORT'] as $report)
        {
?>
            <h4> <?php echo @$report['HEADER']['FULL-TEXT']; ?> </h4>
            <ul>
                <li><b>Event : </b><?php echo $report['HEADER']['EVENT-NAME']; ?></li>
                <li><b>Gender : </b><?php echo $report['HEADER']['GENDER']; ?></li>
                <li><b>Sport : </b><?php echo $report['HEADER']['SPORT-TYPE']; ?> [<?php echo $report['HEADER']['SPORTS']; ?>]</li>
                <li><b>Metric : </b><?php echo $report['HEADER']['METRIC']; ?></li>
                <li><b>Level : </b><?php echo $report['HEADER']['SPORT-LEVEL']; ?></li>
            </ul>
<?php
            if($report['HAS-RECORDS'])
            {
?>  
            <table width="100%" cellpadding="1" cellspacing="0" border="1">
                <tr style="background:#ccc">
<?php
                foreach($report['COLUMNS'] as $col)
                {
?>
                    <td><?php echo $col; ?></td>
<?php
                }
?>
                </tr>
<?php
                foreach($report['DATA'] as $row)
                {
?>
                <tr>
<?php
                    foreach($report['COLUMNS'] as $col)
                    {
?>
                    <td><?php echo @$row[$col]['FINAL']; ?></td>
<?php
                    } 
?>
                </tr>
<?php   
                }
?>
            </table>
<?php
            }
            else
            {
?>
                <h5 style="color:#00ffff"> <i><?php echo $report['ERROR']; ?></i> </h5>
                <pre style="border: thin solid #00ffff"><?php echo $report['RAW-RECORDS']; ?></pre>
<?php
            }
        }
        
    }

    echo "<br><br><h1><u>INTRICACIES</u></h1><pre>";
    print_r($parser->getData());
    echo "</pre>";
    
   
?>